<p-panel header="Laporan Mutasi Barang" [toggleable]="false">
    <div>
        <div style="margin-top: 10px; width: 100%;">
            <div style="margin-top: 10px; width: 100%;">
                <div class="ui-g">
                    <div class="ui-g-12">
                        <div class="ui-g-6">
                            <div>
                                <label>Tanggal Dari</label>
                                <p-calendar [showIcon]="true" [(ngModel)]="dtfrom" dateFormat="dd-M-yy"></p-calendar>
                            </div>
                        </div>
    
                        <div class="ui-g-6">
                            <div>
                                <label>Tanggal Sampai</label>
                                <p-calendar [showIcon]="true" [(ngModel)]="dtthru" dateFormat="dd-M-yy">
                                </p-calendar>
                            </div>
                        </div>
                        <!-- <div class="ui-g-4"> -->
                        <div class="ui-g-6">
                            <div class="form-group">
                                <label for="field_KdBarang">Kode Barang</label>
                                <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                    (completeMethod)="filterBarangSingle($event)" [size]="32" name="KdBarangs"
                                    [minLength]="1" [filter]="true" filterBy="label" field="kdBahan"
                                    placeholder="Please Select Or Insert" [dropdown]="true" (onSelect)="selectBarang(true)">
                                </p-autoComplete>
                            </div>
                        </div>
                        <div class="ui-g-6">
                            <div class="form-group">
                                <label for="field_barang">Nama Barang</label>
                                <p-autoComplete [(ngModel)]="newBarang" [suggestions]="filteredBarang"
                                    (completeMethod)="filterBarangSingle($event)" [size]="32" name="barangs" [minLength]="1"
                                    field="nmBahan" placeholder="Please Select Or Insert" [dropdown]="true"
                                    (onSelect)="selectBarang(true)"></p-autoComplete>
                            </div>
                        </div>
                        <div class="ui-g-4">
                            <label>Jenis Laporan</label>
                            <div>
                                <p-dropdown [options]="types" [(ngModel)]="selectedType" id="field_TYPE">
                                </p-dropdown>
                            </div>
                        </div>
                    </div>
                    <div class="ui-g-12">
                        <div class="ui-g-4">
                            <button type="button" class="btn btn-primary btn-block" (click)="cari()">
                                <span class="fa fa-print"></span>&nbsp;Cari
                            </button>
                           
                        </div>
                        <div class="ui-g-4">
                            <button type="button"
                            class="btn btn-primary btn-block" (click)="export()"><span class="fa fa-cogs"></span>&nbsp;Download
                            </button>
                        </div>
                    </div>
                </div>
            </div>
            <div *ngFor="let data of datas">
                <p-accordion>
                    <p-accordionTab header="{{data.kdbahan}} - {{data.nmbahan}}" name="table" #table>
                        <div class="row">
                            <div class="ui-g-12">
                                <table class="table table-striped" >
                                    <thead>
                                        <tr>
                                            <th>Tanggal</th>
                                            <th>Transaksi</th>
                                            <th>Satuan</th>
                                            <th>Qty</th>
                                            <th>Saldo</th>
                                        </tr>
                                    </thead>
                                    <tbody *ngFor="let detail of data.detail; let i = index;">
                                        <tr>
                                            <td>{{detail.tanggal | date:'dd-MM-yyyy HH:mm'}}</td>
                                            <td><a (click)="openPdf(detail)">{{detail.jenistrx}}</a></td>
                                            <td>{{detail.satuan}}</td>
                                            <td>
                                                <div *ngIf="detail.operan === ''">
                                                    {{detail.operan}} {{detail.qty}}
                                                </div>
                                                <div *ngIf="detail.operan === '+'">
                                                    <span style="color: rgba(0, 128, 0, 0.548);">{{detail.operan}} {{detail.qty | number:'1.0-2'}}</span>
                                                </div>
                                                <div *ngIf="detail.operan === '-'">
                                                    <span style="color: rgba(255, 0, 0, 0.548);">{{detail.operan}} {{detail.qty | number:'1.0-2'}}</span>
                                                </div>
                                            </td>
                                            <td>
                                                {{detail.saldo | number:'1.0-2'}} 
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <div>
                                    <h6><span style="color: rgba(0, 16, 198, 0.548);">Current Saldo ({{dtthru | date:'dd-MM-yyyy'}}) {{data.total | number:'1.0-2'}} </span></h6>
                                </div>
                                <div>
                                    <h6><span style="color: rgba(0, 128, 0, 0.548);">Total Masuk {{data.totalmasuk | number:'1.0-2'}}</span></h6>
                                </div>
                                <div>
                                    <h6><span style="color:rgba(255, 0, 0, 0.548);">Total Keluar {{data.totalkeluar | number:'1.0-2'}}</span></h6>
                                </div>
                            </div>
                        </div>
                    </p-accordionTab>
                </p-accordion>
            </div>
        </div>
    </div>
    <div>
    </div>
    <div style="margin-bottom: 300px;"></div>
</p-panel>
<p-confirmDialog></p-confirmDialog>